curl --request POST \
--url https://api.example.com/ontology-memory/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"content": "<string>",
"name": "<string>",
"subject_key": "<string>",
"object_key": "<string>",
"annotations": {},
"status": "active"
}
'import requests
url = "https://api.example.com/ontology-memory/"
payload = {
"key": "<string>",
"content": "<string>",
"name": "<string>",
"subject_key": "<string>",
"object_key": "<string>",
"annotations": {},
"status": "active"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: '<string>',
content: '<string>',
name: '<string>',
subject_key: '<string>',
object_key: '<string>',
annotations: {},
status: 'active'
})
};
fetch('https://api.example.com/ontology-memory/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"component_type": "entity",
"content": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"subject_key": "<string>",
"object_key": "<string>",
"annotations": {},
"status": "active",
"dataset_mappings": [
{
"dataset_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"mapping_type": "contains",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_edit_reason": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Ontology Component
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
Stable ontology key, for example customer, customer.plan_type, user.login, or account_has_subscription.
1 - 255entity, attribute, action, relationship, hierarchy Freeform markdown defining the entity, attribute, action, relationship, or hierarchy.
1Optional human-readable display name.
255Optional parent/source ontology key, such as the entity for an attribute or action.
255Optional target ontology key for relationships or hierarchies.
255Optional metadata such as aliases, lifecycle states, cardinality, examples, or review hints.
active, deprecated Response
Successful Response
Stable ontology key, for example customer, customer.plan_type, user.login, or account_has_subscription.
1 - 255entity, attribute, action, relationship, hierarchy Freeform markdown defining the entity, attribute, action, relationship, or hierarchy.
1Optional human-readable display name.
255Optional parent/source ontology key, such as the entity for an attribute or action.
255Optional target ontology key for relationships or hierarchies.
255Optional metadata such as aliases, lifecycle states, cardinality, examples, or review hints.
active, deprecated Show child attributes
Show child attributes